body {
    height: 100vh;
    background: #111;
    display: flex;
    justify-content: center;
    align-items: center;
}

a {
    text-decoration: none;
    color: #FFF;
    background: transparent;
    font-family: roboto;
    font-size: 40px;
    border: 1px solid #5500FF;
    border-radius: 1px;
    font-weight: bold;
    letter-spacing: 0;
    padding: 10px 40px;
    position: relative;
    overflow: hidden;
    transition: all 0.3s;
    display: flex;
    justify-content: center;
    align-items: center;
}

a:before,
a:after
{
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    border-width: 0 0 0 0;
    border-style: solid;
    transition: all 0.5s;
    z-index: -1;
}

a:before{
    bottom: 0;
    left: 0;
    border-color: transparent transparent transparent #5500FF ;
   
}
a:after{
    top: 0;
    right: 0;
    border-color: transparent #5500FF transparent transparent ;
}

a:hover::before,
a:hover::after{
    border-width: 65px 220px;
}
